Package it.ernytech.tdlib

## Class TdApi.UpdateMessageEdited

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateMessageEdited

Enclosing class:
  TdApi

    public static class TdApi.UpdateMessageEdited
    extends TdApi.Update

A message was edited. Changes in the message content will come in a separate updateMessageContent.

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `editDate` Point in time (Unix timestamp) when the message was edited.
`long` `messageId` Message identifier.
`TdApi.ReplyMarkup` `replyMarkup` New message reply markup; may be null.

### Constructor Summary

Constructors
`UpdateMessageEdited()` Default constructor.
`UpdateMessageEdited​(long chatId, long messageId, int editDate, TdApi.ReplyMarkup replyMarkup)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### messageId

    public long messageId

Message identifier.

#### editDate

    public int editDate

Point in time (Unix timestamp) when the message was edited.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

New message reply markup; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateMessageEdited

    public UpdateMessageEdited()

Default constructor.

#### UpdateMessageEdited

    public UpdateMessageEdited​(long chatId,
                               long messageId,
                               int editDate,
                               TdApi.ReplyMarkup replyMarkup)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `messageId` - Message identifier.
  `editDate` - Point in time (Unix timestamp) when the message was edited.
  `replyMarkup` - New message reply markup; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR